petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatPartitioningSetType

Sets the type of partitioner to use

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningSetType(MatPartitioning part,MatPartitioningType type)

Collective on MatPartitioning

### Input Parameter

part -the partitioning context.
type -a known method

### Options Database Command

     -mat_partitioning_type  <type>

         Use -help for a list of available methods

         (for instance, parmetis)

### Keywords

partitioning, set, method, type

### See Also

MatPartitioningCreate(), MatPartitioningApply(), MatPartitioningType

Level:intermediate
Location:src/mat/partition/partition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages